﻿using System;
using System.Linq;
using System.Text;

namespace WWB.SitePointPrivateMessages.Core.Infrastructure.Logging
{
    public interface ILogger
    {
        void LogMessage(string message);
        void LogMessage(string message, object param);
        void LogMessage(string messageFormat, object[] messageParams);
        void LogError(string error);
        void LogError(string message, object param);
        void LogError(string messageFormat, object[] messageParams);
    }
}
