﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<MessageSearchViewData>" %>


<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
    Site Point Messages
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <h2>Private Messages</h2>
    
    <% using (Html.BeginForm("Index", "Messages", FormMethod.Get)) { %>
    <fieldset title="Search Messages" class="ui-widget">
        <p>Search For: <%= this.TextBox("SearchTerm").Value(Model.Options.SearchTerm).Class("wide") %> 
        <br /><%= this.CheckBox("IncludeUsers").Checked(Model.Options.IncludeUsers).Label("Include user names in search?") %></p>
        <%= this.CheckBoxList("SelectedFolders").Options(Model.FolderList, x=>x.Name, x=>x.Name).Selected(Model.Options.SelectedFolders).Label("In Folders:").LabelAfter("Leave blank for all folders.") %>
        <p>
            <%= this.SubmitButton("Search") %>
        </p>
    </fieldset>
    <%} %>
    <div class="ui-widget">
    <% Html.RenderPartial("MessageList", Model.SelectedMessages); %>
    </div>
   
</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="InnerTitle" runat="server">
</asp:Content>

<asp:Content ID="Content4" ContentPlaceHolderID="AjaxContent" runat="server">
</asp:Content>
