﻿<%@ Control Language="C#" Inherits="System.Web.Mvc.ViewUserControl<IEnumerable<PrivateMessage>>" %>
 <% using (Html.BeginForm("Export", "Messages", FormMethod.Post)) {%>
    <fieldset>
        <%= this.SubmitButton("Export All Imported") %>
        <%= this.SubmitButton("Export All Visible") %>
        <%= this.SubmitButton("Export Selected") %>
    </fieldset>
    <% if (Model == null || Model.Count() == 0) {%>
        <p class="error">No messages to display!</p>
    <%} else { %>
    <table id="msgGrid">
        <thead>
            <tr>
                <th></th>
                <th>From</th>
                <th>To</th>
                <th>Title</th>
                <th>When</th>
            </tr>
        </thead>
        <tbody>
        <% var msg = Model.ToArray();
           for (int i=0; i< msg.Length; i++)
           {%>
        <tr>
            <td>
                <%= this.CheckBox(string.Format("Msg[{0}].Action", i)) %>
                <%= this.Hidden(string.Format("Msg[{0}].FingerPrint",i )).Value(msg[i].FingerPrint) %>
            </td>
            <td>
                <%= msg[i].FromUser.Name %>
            </td>
            <td>
                <%= msg[i].ToUserNames %>
            </td>
            <td>
                <%= Html.ActionLink(msg[i].Title, "Message", "Messages", new { id = msg[i].FingerPrint }, new { @class = "ajax", Title = msg[i].Title })%>
            </td>
            <td>
                <%= msg[i].DateStamp %>
            </td>
        </tr>
            <%}} %>
            </tbody>
            </table>
    <fieldset>
        <%= this.SubmitButton("Export All Imported") %>
        <%= this.SubmitButton("Export All Visible") %>
        <%= this.SubmitButton("Export Selected") %>
    </fieldset>
    <%} %>
